%define		package	DependencyInjection
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 DependencyInjection Component
Name:		php-symfony2-DependencyInjection
Version:	2.7.5
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	f101ecae358955da6b406ffd781b8c2b
URL:		http://symfony.com/doc/2.7/components/dependency_injection/index.html
BuildRequires:	phpab
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(dom)
Requires:	php(pcre)
Requires:	php(simplexml)
Requires:	php(spl)
Requires:	php-pear >= 4:1.3.10
Suggests:	php-symfony2-Config
Suggests:	php-symfony2-ProxyManagerBridge
Suggests:	php-symfony2-Yaml
Conflicts:	php-symfony2-ExpressionLanguage < 2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Dependency Injection component allows you to standardize and
centralize the way objects are constructed in your application.

%prep
%setup -q -n dependency-injection-%{version}

%build
phpab -n -e '*/Tests/*' -o autoloader.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_pear_dir}/Symfony/Component/DependencyInjection
%{php_pear_dir}/Symfony/Component/DependencyInjection/*.php
%{php_pear_dir}/Symfony/Component/DependencyInjection/Compiler
%{php_pear_dir}/Symfony/Component/DependencyInjection/Dumper
%{php_pear_dir}/Symfony/Component/DependencyInjection/Exception
%{php_pear_dir}/Symfony/Component/DependencyInjection/Extension
%{php_pear_dir}/Symfony/Component/DependencyInjection/LazyProxy
%{php_pear_dir}/Symfony/Component/DependencyInjection/Loader
%{php_pear_dir}/Symfony/Component/DependencyInjection/ParameterBag
%changelog
* Sun Oct 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-DependencyInjection.git;a=log;h=auto/th/php-symfony2-DependencyInjection-2.7.5-1

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> ad97e20
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> d539941
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 3a51e83
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 1901b94
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 08f531a
- up to 2.4.4

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> d1e1cd0
- update url

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 517eaf2
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> ded721e
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 77a4b21
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 947807b
- more specific url

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> a14994f
- initial add. version 2.1.4

